Fix boolean condition in `publish.yaml` (#163)

diff --git a/.github/workflows/publish.yaml b/.github/workflows/publish.yaml
index fcec958..8ddc2cb 100644
--- a/.github/workflows/publish.yaml
+++ b/.github/workflows/publish.yaml
@@ -94,7 +94,7 @@
           GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
           ISSUE_NUMBER: ${{ github.event.number }}
           PR_LABELS: "${{ join(github.event.pull_request.labels.*.name) }}"
-        run: dart pub global run firehose --validate ${{ inputs.use-flutter && '--use-flutter' || '--no-use-flutter' }}
+        run: dart pub global run firehose --validate ${{ fromJSON('{"true":"--use-flutter","false":"--no-use-flutter"}')[inputs.use-flutter] }}
 
   publish:
     if: ${{ github.event_name == 'push' }}
@@ -124,4 +124,4 @@
         run: dart pub global activate firehose
 
       - name: Publish packages
-        run: dart pub global run firehose --publish ${{ inputs.use-flutter && '--use-flutter' || '--no-use-flutter' }}
+        run: dart pub global run firehose --publish ${{ fromJSON('{"true":"--use-flutter","false":"--no-use-flutter"}')[inputs.use-flutter] }}
diff --git a/.github/workflows/publish_internal.yaml b/.github/workflows/publish_internal.yaml
index 82b07bf..c34d8bc 100644
--- a/.github/workflows/publish_internal.yaml
+++ b/.github/workflows/publish_internal.yaml
@@ -12,6 +12,9 @@
   push:
     tags: [ '[A-z]+-v[0-9]+.[0-9]+.[0-9]+' ]
 
+env:
+  use-flutter: false
+
 jobs:
   publish:
     if: github.repository_owner == 'dart-lang'
@@ -37,8 +40,8 @@
           GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
           ISSUE_NUMBER: ${{ github.event.number }}
           PR_LABELS: "${{ join(github.event.pull_request.labels.*.name) }}"
-        run: dart pkgs/firehose/bin/firehose.dart --validate
+        run: dart pkgs/firehose/bin/firehose.dart --validate ${{ fromJSON('{"true":"--use-flutter","false":"--no-use-flutter"}')[env.use-flutter] }}
 
       - name: Publish tagged package
         if: ${{ github.event_name == 'push' }}
-        run: dart pkgs/firehose/bin/firehose.dart --publish
+        run: dart pkgs/firehose/bin/firehose.dart --publish ${{ fromJSON('{"true":"--use-flutter","false":"--no-use-flutter"}')[env.use-flutter] }}